Bug 222040 - [NEW PORT] security/py-pyaxo: Python implementation of the Axolotl ratchet protocol
Summary: [NEW PORT] security/py-pyaxo: Python implementation of the Axolotl ratchet pr...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Richard Gallamore
URL:
Keywords:
Depends on:
Blocks: 222043
  Show dependency treegraph
 
Reported: 2017-09-04 00:25 UTC by Yuri Victorovich
Modified: 2017-09-11 21:22 UTC (History)
1 user (show)

See Also:


Attachments
shar (2.01 KB, text/plain)
2017-09-04 00:25 UTC, Yuri Victorovich
no flags Details
shar (2.08 KB, text/plain)
2017-09-04 00:26 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2017-09-04 00:25:35 UTC
Created attachment 186046 [details]
shar

QAs:
* poudriere 11.1 amd64
* portlint

It isn't clear which versions of python are supported. I labeled it as up-to 2.7, and asked upstream to clarify.
Comment 1 Yuri Victorovich freebsd_committer 2017-09-04 00:26:44 UTC
Created attachment 186047 [details]
shar

Moved to security/ section.
Comment 2 Richard Gallamore freebsd_committer 2017-09-10 21:37:55 UTC
Looks good, tested with python 3.6 and is buildable so removed the 2.7 label.
Comment 3 commit-hook freebsd_committer 2017-09-11 21:14:02 UTC
A commit references this bug:

Author: ultima
Date: Mon Sep 11 21:13:54 UTC 2017
New revision: 449667
URL: https://svnweb.freebsd.org/changeset/ports/449667

Log:
  The Double Ratchet Algorithm is a protocol (similar to OTR) that provides for
  perfect forward secrecy in (a)synchronous communications. It uses triple
  Diffie-Hellman for authentication and ECDHE for perfect forward secrecy. The
  protocol is lighter and more robust than the OTR protocol - providing better
  forward and future secrecy, as well as deniability.

  The protocol was developed by Trevor Perrin and Moxie Marlinspike. Its chief
  use currently is in the Open Whisper Systems Signal package.

  WWW: https://github.com/rxcomm/pyaxo

  PR:		222040
  Submitted by:	Yuri Victorovich (maintainer)
  Reviewed by:	lifanov (mentor), matthew (mentor), koobs, sunpoet
  Approved by:	lifanov (mentor), matthew (mentor), koobs
  Differential Revision:	https://reviews.freebsd.org/D12310

Changes:
  head/security/Makefile
  head/security/py-pyaxo/
  head/security/py-pyaxo/Makefile
  head/security/py-pyaxo/distinfo
  head/security/py-pyaxo/pkg-descr
Comment 4 Richard Gallamore freebsd_committer 2017-09-11 21:22:57 UTC
There were some build errors in the python36 version so I readded the 2.7. It will probably be best to wait for upstream to clarify as you commented.

Committed, thanks!